XtGetResourceList(3Xt)

NAME
XtGetResourceList - obtain resource list

SYNTAX
void XtGetResourceList(class, resources_return, num_resources_return);
      WidgetClass class;
      XtResourceList *resources_return;
      Cardinal *num_resources_return;

ARGUMENTS

num_resources_return
    Specifies a pointer to where to store the number of entries in the resource list.

resources_return
    Specifies a pointer to where to store the returned resource list. The caller must free this storage using when done with it.

widget_class
    Specifies the widget class.

DESCRIPTION
If it is called before the widget class is initialized (that is, before the first widget of that class has been created), returns the resource list as specified in the widget class record. If it is called after the widget class has been initialized, returns a merged resource list that contains the resources for all superclasses.

SEE ALSO
XtGetSubresources(3Xt), XtOffset(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface